## org.bn.compiler.parser
Class ASNLexer

    java.lang.Object
      antlr.CharScanner
          org.bn.compiler.parser.ASNLexer

All Implemented Interfaces:
  antlr.TokenStream, ASNTokenTypes

    public class ASNLexer

extends antlr.CharScanner
implements ASNTokenTypes, antlr.TokenStream

Field Summary
`static antlr.collections.impl.BitSet` `_tokenSet_0`
`static antlr.collections.impl.BitSet` `_tokenSet_1`
`static antlr.collections.impl.BitSet` `_tokenSet_2`
`static antlr.collections.impl.BitSet` `_tokenSet_3`
`static antlr.collections.impl.BitSet` `_tokenSet_4`
`static antlr.collections.impl.BitSet` `_tokenSet_5`
`static antlr.collections.impl.BitSet` `_tokenSet_6`
`static antlr.collections.impl.BitSet` `_tokenSet_7`

Fields inherited from class antlr.CharScanner
`_returnToken, caseSensitive, caseSensitiveLiterals, commitToPath, EOF_CHAR, hashString, inputState, literals, saveConsumedInput, tabsize, text, tokenObjectClass, traceDepth`

Fields inherited from interface org.bn.compiler.parser.ASNTokenTypes

`ABSENT_KW, ABSTRACT_SYNTAX_KW, ALL, ALL_KW, ANY_KW, APPLICATION_KW, ARGUMENT_KW, ASSIGN_OP, AUTOMATIC_KW, B_OR_H_STRING, B_STRING, BAR, BASED_NUM_KW, BDIG, BEGIN_KW, BIT_KW, BMP_STR_KW, BOOLEAN_KW, BY_KW, C_STRING, CHARACTER_KW, CHARB, CHARH, CHOICE_KW, CLASS_KW, COLON, COMMA, COMMENT, COMPONENT_KW, COMPONENTS_KW, CONSTRAINED_KW, DEFAULT_KW, DEFINED_KW, DEFINITIONS_KW, DOT, DOTDOT, ELLIPSIS, EMBEDDED_KW, END_KW, ENUMERATED_KW, EOF, ERROR_KW, ERRORS_KW, EXCEPT, EXCEPT_KW, EXCLAMATION, EXPLICIT_KW, EXPORTS_KW, EXTENSIBILITY_KW, EXTERNAL_KW, FALSE_KW, FROM_KW, GENERAL_STR_KW, GENERALIZED_TIME_KW, GRAPHIC_STR_KW, H_STRING, HDIG, IA5_STRING_KW, IDENTIFIER_KW, IMPLICIT_KW, IMPLIED_KW, IMPORTS_KW, INCLUDES, INCLUDES_KW, INSTANCE_KW, INTEGER_KW, INTERSECTION, INTERSECTION_KW, ISO646_STR_KW, ISO646STRING_KW, L_BRACE, L_BRACKET, L_PAREN, LESS, LINKED_KW, LITERAL_ACCESS, LITERAL_ALGORITHM, LITERAL_BIND, LITERAL_DEFVAL, LITERAL_DESCRIPTION, LITERAL_ENCRYPTED, LITERAL_EXTENSION, LITERAL_EXTENSIONS, LITERAL_INDEX, LITERAL_MACRO, LITERAL_PORT, LITERAL_PROTECTED, LITERAL_REFERENCE, LITERAL_REFINE, LITERAL_SIGNATURE, LITERAL_SIGNED, LITERAL_STATUS, LITERAL_SYNTAX, LITERAL_TOKEN, LITERAL_UNBIND, LOWER, MAX_KW, MIN_KW, MINUS, MINUS_INFINITY_KW, NULL_KW, NULL_TREE_LOOKAHEAD, NUMBER, NUMERIC_STR_KW, OBJECT_DESCRIPTOR_KW, OBJECT_KW, OCTET_KW, OF_KW, OID_KW, OPERATION_KW, OPTIONAL_KW, PARAMETER_KW, PATTERN_KW, PDV_KW, PLUS, PLUS_INFINITY_KW, PRESENT_KW, PRINTABLE_STR_KW, PRIVATE_KW, R_BRACE, R_BRACKET, R_PAREN, REAL_KW, RELATIVE_KW, RESULT_KW, SEMI, SEQUENCE_KW, SET_KW, SINGLE_QUOTE, SIZE_KW, SL_COMMENT, STRING_KW, T61_STR_KW, TAGS_KW, TELETEX_STR_KW, TRUE_KW, TYPE_IDENTIFIER_KW, UNION_KW, UNIQUE_KW, UNIVERSAL_KW, UNIVERSAL_STR_KW, UPPER, UTC_TIME_KW, UTF8_STR_KW, VIDEOTEX_STR_KW, VISIBLE_STR_KW, WITH_KW, WS`

Constructor Summary
`ASNLexer(antlr.InputBuffer ib)`
`ASNLexer(java.io.InputStream in)`
`ASNLexer(antlr.LexerSharedInputState state)`
`ASNLexer(java.io.Reader in)`

Method Summary
`void` `mASSIGN_OP(boolean _createToken)`
`void` `mB_OR_H_STRING(boolean _createToken)`
`protected void` `mB_STRING(boolean _createToken)`
`void` `mBAR(boolean _createToken)`
`protected void` `mBDIG(boolean _createToken)`
`void` `mC_STRING(boolean _createToken)`
`void` `mCHARB(boolean _createToken)`
`void` `mCHARH(boolean _createToken)`
`void` `mCOLON(boolean _createToken)`
`void` `mCOMMA(boolean _createToken)`
`void` `mCOMMENT(boolean _createToken)`
`void` `mDOT(boolean _createToken)`
`void` `mDOTDOT(boolean _createToken)`
`void` `mELLIPSIS(boolean _createToken)`
`void` `mEXCLAMATION(boolean _createToken)`
`protected void` `mH_STRING(boolean _createToken)`
`protected void` `mHDIG(boolean _createToken)`
`void` `mINTERSECTION(boolean _createToken)`
`void` `mL_BRACE(boolean _createToken)`
`void` `mL_BRACKET(boolean _createToken)`
`void` `mL_PAREN(boolean _createToken)`
`void` `mLESS(boolean _createToken)`
`void` `mLOWER(boolean _createToken)`
`void` `mMINUS(boolean _createToken)`
`void` `mNUMBER(boolean _createToken)`
`void` `mPLUS(boolean _createToken)`
`void` `mR_BRACE(boolean _createToken)`
`void` `mR_BRACKET(boolean _createToken)`
`void` `mR_PAREN(boolean _createToken)`
`void` `mSEMI(boolean _createToken)`
`void` `mSINGLE_QUOTE(boolean _createToken)`
`void` `mSL_COMMENT(boolean _createToken)`
`void` `mUPPER(boolean _createToken)`
`void` `mWS(boolean _createToken)`
`antlr.Token` `nextToken()`

Methods inherited from class antlr.CharScanner

`append, append, commit, consume, consumeUntil, consumeUntil, getCaseSensitive, getCaseSensitiveLiterals, getColumn, getCommitToPath, getFilename, getInputBuffer, getInputState, getLine, getTabSize, getText, getTokenObject, LA, makeToken, mark, match, match, match, matchNot, matchRange, newline, panic, panic, reportError, reportError, reportWarning, resetText, rewind, setCaseSensitive, setColumn, setCommitToPath, setFilename, setInputState, setLine, setTabSize, setText, setTokenObjectClass, tab, testLiteralsTable, testLiteralsTable, toLower, traceIn, traceIndent, traceOut, uponEOF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _tokenSet_0

    public static final antlr.collections.impl.BitSet _tokenSet_0

### _tokenSet_1

    public static final antlr.collections.impl.BitSet _tokenSet_1

### _tokenSet_2

    public static final antlr.collections.impl.BitSet _tokenSet_2

### _tokenSet_3

    public static final antlr.collections.impl.BitSet _tokenSet_3

### _tokenSet_4

    public static final antlr.collections.impl.BitSet _tokenSet_4

### _tokenSet_5

    public static final antlr.collections.impl.BitSet _tokenSet_5

### _tokenSet_6

    public static final antlr.collections.impl.BitSet _tokenSet_6

### _tokenSet_7

    public static final antlr.collections.impl.BitSet _tokenSet_7

Constructor Detail

### ASNLexer

    public ASNLexer(java.io.InputStream in)

### ASNLexer

    public ASNLexer(java.io.Reader in)

### ASNLexer

    public ASNLexer(antlr.InputBuffer ib)

### ASNLexer

    public ASNLexer(antlr.LexerSharedInputState state)

Method Detail

### nextToken

    public antlr.Token nextToken()
                          throws antlr.TokenStreamException

  Specified by:
    `nextToken` in interface `antlr.TokenStream`
  Throws:
    `antlr.TokenStreamException`

### mASSIGN_OP

    public final void mASSIGN_OP(boolean _createToken)
                          throws antlr.RecognitionException,
                                 antlr.CharStreamException,
                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mBAR

    public final void mBAR(boolean _createToken)
                    throws antlr.RecognitionException,
                           antlr.CharStreamException,
                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mCOLON

    public final void mCOLON(boolean _createToken)
                      throws antlr.RecognitionException,
                             antlr.CharStreamException,
                             antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mCOMMA

    public final void mCOMMA(boolean _createToken)
                      throws antlr.RecognitionException,
                             antlr.CharStreamException,
                             antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mCOMMENT

    public final void mCOMMENT(boolean _createToken)
                        throws antlr.RecognitionException,
                               antlr.CharStreamException,
                               antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mDOT

    public final void mDOT(boolean _createToken)
                    throws antlr.RecognitionException,
                           antlr.CharStreamException,
                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mDOTDOT

    public final void mDOTDOT(boolean _createToken)
                       throws antlr.RecognitionException,
                              antlr.CharStreamException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mELLIPSIS

    public final void mELLIPSIS(boolean _createToken)
                         throws antlr.RecognitionException,
                                antlr.CharStreamException,
                                antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mEXCLAMATION

    public final void mEXCLAMATION(boolean _createToken)
                            throws antlr.RecognitionException,
                                   antlr.CharStreamException,
                                   antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mINTERSECTION

    public final void mINTERSECTION(boolean _createToken)
                             throws antlr.RecognitionException,
                                    antlr.CharStreamException,
                                    antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mLESS

    public final void mLESS(boolean _createToken)
                     throws antlr.RecognitionException,
                            antlr.CharStreamException,
                            antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mL_BRACE

    public final void mL_BRACE(boolean _createToken)
                        throws antlr.RecognitionException,
                               antlr.CharStreamException,
                               antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mL_BRACKET

    public final void mL_BRACKET(boolean _createToken)
                          throws antlr.RecognitionException,
                                 antlr.CharStreamException,
                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mL_PAREN

    public final void mL_PAREN(boolean _createToken)
                        throws antlr.RecognitionException,
                               antlr.CharStreamException,
                               antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mMINUS

    public final void mMINUS(boolean _createToken)
                      throws antlr.RecognitionException,
                             antlr.CharStreamException,
                             antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mPLUS

    public final void mPLUS(boolean _createToken)
                     throws antlr.RecognitionException,
                            antlr.CharStreamException,
                            antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mR_BRACE

    public final void mR_BRACE(boolean _createToken)
                        throws antlr.RecognitionException,
                               antlr.CharStreamException,
                               antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mR_BRACKET

    public final void mR_BRACKET(boolean _createToken)
                          throws antlr.RecognitionException,
                                 antlr.CharStreamException,
                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mR_PAREN

    public final void mR_PAREN(boolean _createToken)
                        throws antlr.RecognitionException,
                               antlr.CharStreamException,
                               antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mSEMI

    public final void mSEMI(boolean _createToken)
                     throws antlr.RecognitionException,
                            antlr.CharStreamException,
                            antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mSINGLE_QUOTE

    public final void mSINGLE_QUOTE(boolean _createToken)
                             throws antlr.RecognitionException,
                                    antlr.CharStreamException,
                                    antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mCHARB

    public final void mCHARB(boolean _createToken)
                      throws antlr.RecognitionException,
                             antlr.CharStreamException,
                             antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mCHARH

    public final void mCHARH(boolean _createToken)
                      throws antlr.RecognitionException,
                             antlr.CharStreamException,
                             antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mWS

    public final void mWS(boolean _createToken)
                   throws antlr.RecognitionException,
                          antlr.CharStreamException,
                          antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mSL_COMMENT

    public final void mSL_COMMENT(boolean _createToken)
                           throws antlr.RecognitionException,
                                  antlr.CharStreamException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mNUMBER

    public final void mNUMBER(boolean _createToken)
                       throws antlr.RecognitionException,
                              antlr.CharStreamException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mUPPER

    public final void mUPPER(boolean _createToken)
                      throws antlr.RecognitionException,
                             antlr.CharStreamException,
                             antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mLOWER

    public final void mLOWER(boolean _createToken)
                      throws antlr.RecognitionException,
                             antlr.CharStreamException,
                             antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mBDIG

    protected final void mBDIG(boolean _createToken)
                        throws antlr.RecognitionException,
                               antlr.CharStreamException,
                               antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mHDIG

    protected final void mHDIG(boolean _createToken)
                        throws antlr.RecognitionException,
                               antlr.CharStreamException,
                               antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mB_OR_H_STRING

    public final void mB_OR_H_STRING(boolean _createToken)
                              throws antlr.RecognitionException,
                                     antlr.CharStreamException,
                                     antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mB_STRING

    protected final void mB_STRING(boolean _createToken)
                            throws antlr.RecognitionException,
                                   antlr.CharStreamException,
                                   antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mH_STRING

    protected final void mH_STRING(boolean _createToken)
                            throws antlr.RecognitionException,
                                   antlr.CharStreamException,
                                   antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mC_STRING

    public final void mC_STRING(boolean _createToken)
                         throws antlr.RecognitionException,
                                antlr.CharStreamException,
                                antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`